# Classic Calendar

## [v0.1.2beta](https://github.com/birkholz/ClassicCalendar/tree/v0.1.2beta) (2024-01-10)
[Full Changelog](https://github.com/birkholz/ClassicCalendar/commits/v0.1.2beta) [Previous Releases](https://github.com/birkholz/ClassicCalendar/releases)

- v0.1.2beta version bump  
- Fix for dungeon names index error  
- Add project IDs  
- Update .pkgmeta and .gitngore for release  
- Update version for Semantic Versioning  
- Add SoD launch event, set up builds in CI  
- Add comments reviewing holiday dates  
- Add 2023 Winter Veil event  
- Fix monthoffset bug  
- GetDayEvent performance improvements  
- Remove print  
- Fix raid reset bug, fireworks ZIndex  
- Lazy-load dungeon names to fix race condition  
- Update README.md  
- Refactor raid resets for gnomer, update preview  
- Add event ZIndex, fix options  
- Add phase 2 launch event  
- Hook up config settings for art  
- Add phase 2 events  
- Fix filters  
- Update .luacheckrc  
- Performance/editor improvements  
- Squashed commit of the following:  
    commit 167dcbb9a9fa4e0ddf30b94669841bda1aaee1da  
    Author: Brandon Birkholz <brandonjbirkholz@gmail.com>  
    Date:   Mon Jan 8 20:16:57 2024 -0600  
        Fix luacheck errors, add .editorconfig  
    commit a938aeaad11745b4f1d1d7d372086c52b064641e  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Mon Jan 8 11:47:10 2024 -0800  
        Changed references to IOFPC:GetWidth  
    commit 265e26b0a8597eff41cc7c3360ceaa56592e7afd  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Mon Jan 8 11:39:49 2024 -0800  
        Added categories to Options Panel  
    commit c4df3e0f0cfd5cb3ddff644d4cd0cc8464ec1d49  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Mon Jan 8 02:34:00 2024 -0800  
        Added Options Panel functionality  
        - Added Localization for Options Panel  
        - Minor fix in Patches.lua  
- Finish holiday schedule refactor  
- WIP refactor of stubbedGetDayEvent  
- Move all dates/times to data tables  
- Fix bugged injected view frames after clicking real event  
- Fix view holiday/raid frames for injected events  
- Squashed commit of the following:  
    commit 1b07106101b386a1c0408e75df90c1ce1b14aae0  
    Author: Brandon Birkholz <brandonjbirkholz@gmail.com>  
    Date:   Sat Jan 6 23:41:28 2024 -0600  
        Refactor EventGetTextures  
    commit c97587ae0baa268ca1c9b419ab9f50c5f007dd27  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Sat Jan 6 20:56:35 2024 -0800  
        Added check for getRaidDungeonNames and removed the Raid names call  
    commit 47c3a13236f54a7cbac79b2e7ee227c00d6f9ac0  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Sat Jan 6 20:20:21 2024 -0800  
        Renamed localString to localeString  
    commit f04b156ff3e18cc91dfd7beaaf44be35d292f1a3  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Sat Jan 6 20:18:17 2024 -0800  
        Renamed getLocalString to localString  
    commit 155e7a83876f0965dd434e210eec2a94c2f87d2a  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Sat Jan 6 19:54:28 2024 -0800  
        Added "auto-generated" comment to localization-world.lua  
    commit 2a54806abafc9aa277fff0e61971f3c9f3e0af9b  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Sat Jan 6 19:27:06 2024 -0800  
        Removed L.MainFrame from localization-world.lua  
    commit c43c4940482b2a0099d4fe95be952121089a1d93  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Sat Jan 6 19:13:57 2024 -0800  
        Refactored localization-world.lua and updated references  
    commit 46157b6fac496dff39bce5c36c2ff577bad63065  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Sat Jan 6 17:22:59 2024 -0800  
        Moved GetLocal to localization-world.lua  
    commit 711f1ba6b80ace8d421e9bd0e7ca2449b84f6ea3  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Sat Jan 6 17:13:00 2024 -0800  
        Added world localization file and updated references to Holiday names  
- Update README.md  
- Move Calendar button into the corner  
- Add GameTimeFrame to globals  
- luacheck ignore  
- Replace ToD button with Calendar button from Wrath  
- Renamed locales dir to uppercase  
- Update github issues config  
- Add a preview image  
- Rename SOD\_CALENDAR\_L  
- Fix incorrect var name  
- Change discord webhook action  
- Always send build status  
- Remove github environment  
- Update ci environment  
- Fix trailing whitespace  
- Prepare addon for publication  
    * Rename addon to ClassicCalendar  
    * Add .luacheckrc and fix errors  
    * Add GitHub workflows and templates  
    * Add README  
- Squashed commit of the following:  
    commit ad04e2598f1ac7e16fcea94d0164628bc16e3b75  
    Author: Brandon Birkholz <brandonjbirkholz@gmail.com>  
    Date:   Sat Jan 6 01:20:17 2024 -0600  
        Add missing newline  
    commit 64012ae4bdcd7080885b337e8732b988229d6beb  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Fri Jan 5 21:42:14 2024 -0800  
        Updated localization names and references  
    commit 87025881a4a7543a5ca1d083550d6ba5b617f2bb  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Fri Jan 5 20:53:46 2024 -0800  
        Adjusted locales file location  
    commit 40eb9b60eb41f3f725494dcfe5d9b83390885560  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Fri Jan 5 20:36:36 2024 -0800  
        Added Localization Logic  
- Work in progress on holiday frames  
- Disable CloseCalendarMenus function  
- Update TODO.txt  
- Fix incorrect state when reopening Calendar  
- Fix further date bugs  
- Add missing comment  
- Fix DST error in date frequency math  
- Change BG end to weekly reset  
- Update BG filter text  
- Update Patches.lua  
- Fix BG names  
- Squashed commit of the following:  
    commit 48ec4e8561d9df2c2ffd9d846a98f0eaa25eba87  
    Author: LoveDiodes <curtmchenry@gmail.com>  
    Date:   Thu Jan 4 08:34:05 2024 -0800  
        Fixed Guild Name displays, and commented out "Communities" and "Guild Announcement" resources  
- Remove battlegrounds from TODO  
- Add Battleground Weekends  
- Update TODO with latest bug  
- Refactor date functions  
    * Implement a more proper Darkmoon Faire schedule  
    * Fix duration tooltip of ongoing events  
- Fix a couple API bugs  
- Add support for injecting Darkmoon/Reset events  
- Create TODO.txt  
- Merge pull request #1 from birkholz/Love's-Branch  
    Added Guild Event Functionality  
- Fixing Commented Lines  
- Added Guild Event Functionality  
- Fix typo in RFK  
- Stub EventGetTextures function for SoD  
- Initial commit  
